<?php
/**
 * Template Name: About Template
 *
 * Description: About page template
 *
 * @package WordPress
 * @subpackage Benco_Theme
 * @since Benco 1.0
 */
$benco_opt = get_option( 'benco_opt' );

get_header();
?>
<div class="main-container about-page">
	<div class="title-breadcrumbs <?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ echo 'has-page-banner'; } ?>">
		<?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ ?>
			<div class="page-banner">
				<img src="<?php echo esc_url($benco_opt['page_banner']['url']); ?>" alt="shop banner" />
			</div>
		<?php } ?>
		<div class="title-breadcrumbs-inner">
			<div class="container">
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>
				<?php Benco_Class::benco_breadcrumb(); ?> 
			</div>
		</div>
	</div>
	<div class="page-content">
		<?php while ( have_posts() ) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
				<div class="entry-content">
					<?php the_content(); ?>
				</div><!-- .entry-content -->
			
			</article><!-- #post -->
		<?php endwhile; // end of the loop. ?>
	</div>
</div>
<?php get_footer(); ?>