<?php
/**
 * The Template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Benco_Theme
 * @since Benco 1.0
 */

$benco_opt = get_option( 'benco_opt' );

get_header();

$benco_bloglayout = 'sidebar';
if(isset($benco_opt['blog_layout']) && $benco_opt['blog_layout']!=''){
	$benco_bloglayout = $benco_opt['blog_layout'];
}
if(isset($_GET['layout']) && $_GET['layout']!=''){
	$benco_bloglayout = $_GET['layout'];
}
$benco_blogsidebar = 'right';
if(isset($benco_opt['sidebarblog_pos']) && $benco_opt['sidebarblog_pos']!=''){
	$benco_blogsidebar = $benco_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$benco_blogsidebar = $_GET['sidebar'];
}
if ( !is_active_sidebar( 'sidebar-1' ) )  {
	$benco_bloglayout = 'nosidebar';
}
switch($benco_bloglayout) {
	case 'sidebar':
		$benco_blogclass = 'blog-sidebar';
		$benco_blogcolclass = 9;
		break;
	default:
		$benco_blogclass = 'blog-nosidebar'; //for both fullwidth and no sidebar
		$benco_blogcolclass = 12;
		$benco_blogsidebar = 'none';
}
?>
<div class="main-container page-wrapper">
	<div class="page-content">
		<div class="title-breadcrumbs <?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ echo 'has-page-banner'; } ?>">
			<?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ ?>
				<div class="page-banner">
					<img src="<?php echo esc_url($benco_opt['page_banner']['url']); ?>" alt=" " />
				</div>
			<?php } ?>
			<div class="title-breadcrumbs-inner">
				<div class="container">
					<header class="entry-header">
						<h1 class="entry-title"><?php if(isset($benco_opt)) { echo esc_html($benco_opt['blog_header_text']); } else { esc_html_e('Blog', 'benco');}  ?></h1>
					</header> 
					<?php Benco_Class::benco_breadcrumb(); ?>
				</div>
			</div>
		</div>
		<div class="container">
			<div class="row">

				<?php
				$customsidebar = get_post_meta( $post->ID, '_benco_custom_sidebar', true );
				$customsidebar_pos = get_post_meta( $post->ID, '_benco_custom_sidebar_pos', true );

				if($customsidebar != ''){
					if($customsidebar_pos == 'left' && is_active_sidebar( $customsidebar ) ) {
						echo '<div id="secondary" class="col-12 col-lg-3">';
							dynamic_sidebar( $customsidebar );
						echo '</div>';
					} 
				} else {
					if($benco_blogsidebar=='left') {
						get_sidebar();
					}
				} ?>

				<div class="col-12 <?php echo 'col-lg-'.$benco_blogcolclass; ?>">
					<div class="page-content blog-page single <?php echo esc_attr($benco_blogclass); if($benco_blogsidebar=='left') {echo ' left-sidebar'; } if($benco_blogsidebar=='right') {echo ' right-sidebar'; } ?>">
						<?php while ( have_posts() ) : the_post(); ?>

							<?php get_template_part( 'content', get_post_format() ); ?>

							<?php comments_template( '', true ); ?>
							
						<?php endwhile; // end of the loop. ?>
					</div>
				</div>
				
				<?php
				if($customsidebar != ''){
					if($customsidebar_pos == 'right' && is_active_sidebar( $customsidebar ) ) {
						echo '<div id="secondary" class="col-12 col-lg-3">';
							dynamic_sidebar( $customsidebar );
						echo '</div>';
					} 
				} else {
					if($benco_blogsidebar=='right') {
						get_sidebar();
					}
				} ?>
				
			</div>
		</div> 
	</div>
	<!-- brand logo -->
	<?php 
		if(isset($benco_opt['inner_brand']) && function_exists('benco_brands_shortcode') && shortcode_exists( 'ourbrands' ) ){
			if($benco_opt['inner_brand'] && isset($benco_opt['brand_logos'][0]) && $benco_opt['brand_logos'][0]['thumb']!=null) { ?>
				<div class="inner-brands">
					<div class="container">
						<?php if(isset($benco_opt['inner_brand_title']) && $benco_opt['inner_brand_title']!=''){ ?>
							<div class="title">
								<h3><?php echo esc_html( $benco_opt['inner_brand_title'] ); ?></h3>
							</div>
						<?php } ?>
						<?php echo do_shortcode('[ourbrands]'); ?>
					</div>
				</div>
				
			<?php }
		}
	?>
	<!-- end brand logo --> 
</div>

<?php get_footer(); ?>