<?php
/**
 * The template for displaying Tag pages
 *
 * Used to display archive-type pages for posts in a tag.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Benco_Theme
 * @since Benco 1.0
 */

$benco_opt = get_option( 'benco_opt' );

get_header();

$benco_bloglayout = 'nosidebar';
if(isset($benco_opt['blog_layout']) && $benco_opt['blog_layout']!=''){
	$benco_bloglayout = $benco_opt['blog_layout'];
}
if(isset($_GET['layout']) && $_GET['layout']!=''){
	$benco_bloglayout = $_GET['layout'];
}
$benco_blogsidebar = 'right';
if(isset($benco_opt['sidebarblog_pos']) && $benco_opt['sidebarblog_pos']!=''){
	$benco_blogsidebar = $benco_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$benco_blogsidebar = $_GET['sidebar'];
}
if ( !is_active_sidebar( 'sidebar-1' ) )  {
	$benco_bloglayout = 'nosidebar';
}
switch($benco_bloglayout) {
	case 'sidebar':
		$benco_blogclass = 'blog-sidebar';
		$benco_blogcolclass = 9;
		Benco_Class::benco_post_thumbnail_size('benco-category-thumb');
		break;
	case 'largeimage':
		$benco_blogclass = 'blog-large';
		$benco_blogcolclass = 9;
		$benco_postthumb = '';
		break;
	default:
		$benco_blogclass = 'blog-nosidebar';
		$benco_blogcolclass = 12;
		$benco_blogsidebar = 'none';
		Benco_Class::benco_post_thumbnail_size('benco-post-thumb');
}
?>
<div class="main-container page-wrapper">
	<div class="title-breadcrumbs <?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ echo 'has-page-banner'; } ?>">
		<?php if(isset($benco_opt['page_banner']['url']) && ($benco_opt['page_banner']['url'])!=''){ ?>
			<div class="page-banner">
				<img src="<?php echo esc_url($benco_opt['page_banner']['url']); ?>" alt="shop banner" />
			</div>
		<?php } ?>
		<div class="title-breadcrumbs-inner">
			<div class="container">
				<header class="entry-header">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</header>
				<?php Benco_Class::benco_breadcrumb(); ?> 
			</div>
		</div>
	</div>
	<div class="container">
		<div class="row">
			
			<?php if($benco_blogsidebar=='left') : ?>
				<?php get_sidebar(); ?>
			<?php endif; ?>
			
			<div class="col-12 <?php echo 'col-lg-'.$benco_blogcolclass; ?>">
			
				<div class="page-content blog-page <?php echo esc_attr($benco_blogclass); if($benco_blogsidebar=='left') {echo ' left-sidebar'; } if($benco_blogsidebar=='right') {echo ' right-sidebar'; } ?>">
					<?php if ( have_posts() ) : ?>
						<header class="archive-header">
							<h1 class="archive-title"><?php printf( wp_kses(__( 'Tag Archives: %s', 'benco' ), array('span'=>array())), '<span>' . single_tag_title( '', false ) . '</span>' ); ?></h1>

						<?php if ( tag_description() ) : // Show an optional tag description ?>
							<div class="archive-meta"><?php echo tag_description(); ?></div>
						<?php endif; ?>
						</header><!-- .archive-header -->

						<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the post format-specific template for the content. If you want to
							 * this in a child theme then include a file called called content-___.php
							 * (where ___ is the post format) and that will be used instead.
							 */
							get_template_part( 'content', get_post_format() );

						endwhile;
						?>
						
						<?php Benco_Class::benco_pagination(); ?>
						
					<?php else : ?>
						<?php get_template_part( 'content', 'none' ); ?>
					<?php endif; ?>
				</div>
			</div>
			<?php if( $benco_blogsidebar=='right') : ?>
				<?php get_sidebar(); ?>
			<?php endif; ?>
		</div>
		
	</div>
	<!-- brand logo -->
	<?php 
		if(isset($benco_opt['inner_brand']) && function_exists('benco_brands_shortcode') && shortcode_exists( 'ourbrands' ) ){
			if($benco_opt['inner_brand'] && $benco_opt['brand_logos']) { ?>
				<div class="inner-brands">
					<div class="container">
						<?php if(isset($benco_opt['inner_brand_title']) && $benco_opt['inner_brand_title']!=''){ ?>
							<div class="title">
								<h3><?php echo esc_html( $benco_opt['inner_brand_title'] ); ?></h3>
							</div>
						<?php } ?>
						<?php echo do_shortcode('[ourbrands]'); ?>
					</div>
				</div>
				
			<?php }
		}
	?>
	<!-- end brand logo --> 
</div>
<?php get_footer(); ?>